Bug 1125148 - Version of gmp in Red Hat Enterprise Linux 6 lacks secure exponentiation function mpz_powm_sec () [NEEDINFO]
Summary: Version of gmp in Red Hat Enterprise Linux 6 lacks secure exponentiation func...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gmp
Version: 6.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: David Kaspar [Dee'Kej]
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks: 1356047
TreeView+ depends on / blocked
 
Reported: 2014-07-31 07:59 UTC by Huzaifa S. Sidhpurwala
Modified: 2018-04-06 10:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-16 15:21:09 UTC
salmy: needinfo? (bressers)


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2014-07-31 07:59:16 UTC
The version of gmp in rhel-6, lacks the secure exponentiation function mpz_powm_sec ().

As per: https://gmplib.org/manual/Integer-Exponentiation.html the existing mpz_pown() is susceptible to timing attacks and should not be used.

Comment 3 Frantisek Kluknavsky 2014-10-30 15:29:27 UTC
This should be fixed as a result of https://bugzilla.redhat.com/show_bug.cgi?id=1110689 - gmp will be rebased to 6.0.0.
I am not a security expert, could you please take a look if the new build satisfies your needs?

Comment 5 Frantisek Kluknavsky 2014-10-30 15:45:00 UTC
Sorry for the misleading noise, rebase will affect RHEL7.


Note You need to log in before you can comment on or make changes to this bug.